The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

CentOS 7.1 KDE install problem

Discussion in 'Workarounds and Optimization' started by centos7, Sep 28, 2015.

  1. centos7

    centos7 Registered

    Joined:
    Sep 28, 2015
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Hong Kong
    cPanel Access Level:
    Root Administrator
    Hi,

    I'm currently having a problem installing KDE to CentOS 7.1. Everytime I tried to install the KDE using the command "yum groupinstall 'KDE Plasma Workspaces'", it always ends up with Transaction check error:

    dropbox.com/s/8v33ddfqnlv0x4t/kde.png

    It seems there are conflicts from install of mariadb with MySQL server already installed in the system. Please give me some instructions as I searched a lot and didn't find any proper answer yet.

    Thank you a lot. :)
     
    #1 centos7, Sep 28, 2015
    Last edited by a moderator: Sep 28, 2015
  2. Jcats

    Jcats Well-Known Member

    Joined:
    May 25, 2011
    Messages:
    275
    Likes Received:
    31
    Trophy Points:
    28
    Location:
    New Jersey
    cPanel Access Level:
    DataCenter Provider
    What does this give you:
    Code:
    # mysql --version
    # grep mysql-version /var/cpanel/cpanel.config
     
  3. centos7

    centos7 Registered

    Joined:
    Sep 28, 2015
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Hong Kong
    cPanel Access Level:
    Root Administrator
    Code:
    mysql  Ver 14.14 Distrib 5.6.23, for Linux (x86_64) using  EditLine wrapper
    mysql-version=5.6
    FYI, the image I sent earlier shown 5.5 while result of the command is 5.6, because I just updated MySQL through WHM MariaDB/MySQL Upgrade, from 5.5 to 5.6. That doesn't change the problem itself.
     
  4. Jcats

    Jcats Well-Known Member

    Joined:
    May 25, 2011
    Messages:
    275
    Likes Received:
    31
    Trophy Points:
    28
    Location:
    New Jersey
    cPanel Access Level:
    DataCenter Provider
    The problem in your screenshot is also referencing mariadb.

    I would first run
    Code:
    # /scripts/check_cpanel_rpms --fix
    to see if it removes the rpm's that are not needed.
     
  5. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    648
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    Please keep in mind that GUI desktop environments such as KDE are unsupported. We don't test cPanel on these environments, so it's likely to require a manual workaround.

    Thank you.
     
Loading...

Share This Page